Download it now!
Bug 72137 - EDITING: Crash when inserting moving average trendline with many data
Summary: EDITING: Crash when inserting moving average trendline with many data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: Other Windows (All)
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: BSA target:4.3.0 target:4.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-28 22:03 UTC by Laurent BP
Modified: 2013-12-10 06:51 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test file to insert moving average trendline to reproduce crash (96.71 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-11-28 22:03 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2013-11-28 22:03:54 UTC
Created attachment 89966 [details]
test file to insert moving average trendline to reproduce crash

Problem description: 

Steps to reproduce:
1. create data file with many (X;Y) data (+1000 in test file attached)
2. create XY chart
3. insert moving average trend line

Current behavior:
the trend line does not cover all data

Expected behavior:
trend line should continue till the end of the data

4. clic outside chart to close it
Current behavior:
crash (with recovery of file)

Expected behavior:
no crash
Operating System: Windows 7
Version: 4.2.0.0.beta1
Comment 1 Tomaz Vajngerl 2013-11-29 10:00:27 UTC
interesting...
Comment 2 Laurent BP 2013-12-09 10:35:46 UTC
The bug appears from 87 data points. 
- With 86 data points, the moving average trend line is correct.
- With 87 or more data points, the moving average trend line is correct till 86th point, and next point is origin (0;0)

Period value has no influence on bug.

Test made on Win7 with LibO 4.2.0.0.beta1
Comment 3 Commit Notification 2013-12-09 18:57:55 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f464bb21c8e8483200feb159cfdf9e5bc29aa27f

fdo#72137 Allocate enough points in MovingAverageRegression calc.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-12-09 18:59:14 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=306d6d7f199067594378e2c9d084016d1442367a&h=libreoffice-4-2

fdo#72137 Allocate enough points in MovingAverageRegression calc.


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Laurent BP 2013-12-10 06:51:46 UTC
Commit works fine in master :)
Version: 4.3.0.0.alpha0+
Build ID: 6c4f8bbadd9c3196725600f9cddb2b151622caa6